This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 962015 - permenently IO-errors
permenently IO-errors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curlftpfs (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 19:45 EDT by Harald Reindl
Modified: 2014-01-07 09:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 09:35:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debuglog (85.64 KB, text/plain)
2013-05-12 11:48 EDT, Harald Reindl
no flags Details
debug-log with curlftpfs-0.9.2-13.1.fc20.x86_64 (6.08 KB, text/plain)
2013-05-12 12:21 EDT, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2013-05-10 19:45:59 EDT
curlftpfs-0.9.2-11.fc18.x86_64

basicly transfer of files works, but at the end there is ALWAYS a IO-error resulting in all sorts of warnings from applications, specially eclipse is unuseable write to a ftp-mount by messages that the file on the remote machine may have chnaged and if Eclipse should replace the editors contents

as said: the files are compleltly written everytime
Comment 1 Pavel Alexeev 2013-05-11 07:15:09 EDT
What kind of errors you are seen? Does it happened only with eclipse? How reproduce?
Comment 2 Harald Reindl 2013-05-11 08:19:45 EDT
as said it happens permanently and is reproduceable with any FTP-server on the other side as well as 2 seconds for a 5-byte-file is a bad joke and you can see the cat from the curlftpfs mount that the file WAS transferred

/etc/fstab:
curlftpfs#user:pwd@host/httpdocs /mnt/aume fuse   noauto,user,rw,noexec,nosuid,nodev,uid=harry,gid=verwaltung
___________________________

[harry@srv-rhsoft:~/Desktop]$ date; cp test.txt /mnt/aume/; date
Sat May 11 14:16:29 CEST 2013
/usr/bin/cp: closing '/mnt/aume/test.txt': Input/output error
Sat May 11 14:16:31 CEST 2013

[harry@srv-rhsoft:~/Desktop]$ cat /mnt/aume/test.txt 
Test

[harry@srv-rhsoft:~/Desktop]$ stat test.txt 
  File: 'test.txt'
  Size: 5               Blocks: 8          IO Block: 4096   regular file
Device: 902h/2306d      Inode: 110101477   Links: 1
Access: (0640/-rw-r-----)  Uid: (  500/   harry)   Gid: (  501/verwaltung)
Access: 2013-05-11 14:15:49.703382283 +0200
Modify: 2013-05-11 14:15:49.703382283 +0200
Change: 2013-05-11 14:15:49.703382283 +0200
 Birth: -
Comment 3 Pavel Alexeev 2013-05-12 04:41:32 EDT
I can reproduce it, thank you for the bugreport.
Seams https://code.google.com/p/curlftpfs/issues/detail?id=6
Could you check if second copy attempt works without error?
Comment 4 Harald Reindl 2013-05-12 05:07:41 EDT
> More interesting, a first cp operation fails but creates an empty file. 
> A second cp operation on the same file works!!

is a total different behavior as i explained

it does not fail, the files are completly tranferred at the first try
maybe something internally doe sthe re-try which would explain the
3 seconds for a 5 byte file
Comment 5 Pavel Alexeev 2013-05-12 05:28:10 EDT
Please provide log with "-d -o debug,ftpfs_debug=5" options of curlftpfs (beware: it may contain your password - cut off it).
Comment 6 Pavel Alexeev 2013-05-12 07:24:04 EDT
Please try this scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5369151
Comment 7 Harald Reindl 2013-05-12 11:06:34 EDT
[harry@srv-rhsoft:~]$ rpm -qa | grep ftpfs
curlftpfs-0.9.2-13.fc20.x86_64

has the same problem, did it change the behavior for you?
BTW this bugreport is for F18 and *not* Rawhide!

> Please provide log with "-d -o debug,ftpfs_debug=5" options of curlftpfs

please explain how to use this in /etc/fstab
Comment 8 Pavel Alexeev 2013-05-12 11:23:44 EDT
(In reply to comment #7)
> [harry@srv-rhsoft:~]$ rpm -qa | grep ftpfs
> curlftpfs-0.9.2-13.fc20.x86_64
> 
> has the same problem, did it change the behavior for you?
Yes off course. But according to your coment 4 we have different issues.
I can't reproduce yours now.

> BTW this bugreport is for F18 and *not* Rawhide!
Off course. When we fix ussue and you provide feedback after testing it worked I'll push updates.
> 
> > Please provide log with "-d -o debug,ftpfs_debug=5" options of curlftpfs
> please explain how to use this in /etc/fstab
Better way to do that just run it in console like:
curlftpfs -d -o debug,ftpfs_debug=5 user:pwd@host/httpdocs /mnt/aume

then on other console try copy new file:
[harry@srv-rhsoft:~/Desktop]$ time cp test.txt /mnt/aume/

Copy log and past it there.
Comment 9 Harald Reindl 2013-05-12 11:48:09 EDT
Created attachment 746881 [details]
debuglog

debuglog with user/pwd/host masked

the only action was 
* curlftpfs -d -o debug,ftpfs_debug=5 ***@**/httpdocs /mnt/aume
* cp test2.txt /mnt/aume/

this is a textfile created by echo "TEST" > test2.txt
so nothing special
Comment 10 Pavel Alexeev 2013-05-12 12:11:03 EDT
Hm, very interesting.

Could you please test that build - http://koji.fedoraproject.org/koji/taskinfo?taskID=5369304 ?

And please, mount empty directory, not root, or better directory with 1-2 files. Something similar to:
curlftpfs -d -o debug,ftpfs_debug=5 ***@**/httpdocs/temp /mnt/aume
Comment 11 Harald Reindl 2013-05-12 12:21:07 EDT
Created attachment 746893 [details]
debug-log with curlftpfs-0.9.2-13.1.fc20.x86_64

curlftpfs-0.9.2-13.1.fc20.x86_64 works without IO-errors even on the docroot 
however, attached a debug-log as suggested mounted a test-folder with 2 files

please give us a F17/F18 build, AFAIK this problem exists since years
and god bless that i mostly use sshfs and no ftp-servers :-)
Comment 12 Pavel Alexeev 2013-05-12 15:45:09 EDT
Ok, thank you very much for report and testings. Updates follow.

But why you do not favor sshfs?
Comment 13 Harald Reindl 2013-05-12 16:00:37 EDT
> But why you do not favor sshfs?

i *do favor* as said but there are sometimes servers of customers which i do not control and offer only FTP (in summary 3 out of 700)
Comment 14 Pavel Alexeev 2013-05-12 16:12:33 EDT
Indeed. Sorry for misunderstood.
Comment 15 Fedora Update System 2013-05-12 16:21:16 EDT
curlftpfs-0.9.2-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc19
Comment 16 Fedora Update System 2013-05-12 16:29:52 EDT
curlftpfs-0.9.2-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc18
Comment 17 Fedora Update System 2013-05-12 17:50:17 EDT
curlftpfs-0.9.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc17
Comment 18 Fedora Update System 2013-05-13 13:55:25 EDT
curlftpfs-0.9.2-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.el6
Comment 19 Fedora Update System 2013-05-27 21:00:37 EDT
curlftpfs-0.9.2-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-05-27 21:04:27 EDT
curlftpfs-0.9.2-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-06-02 17:36:29 EDT
curlftpfs-0.9.2-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-09-11 21:57:32 EDT
curlftpfs-0.9.2-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora End Of Life 2013-12-21 10:46:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.